E-MailRelay

Static Public Member Functions | Static Protected Member Functions | List of all members
G::HashStateImp Class Reference

The non-template part of G::HashState. More...

`#include <ghashstate.h>`

Inheritance diagram for G::HashStateImp:

## Static Public Member Functions
template<typename U >
static std::string | extension (U n)
| Returns the given data size as a four-character string. More...

## Static Protected Member Functions
template<typename U >
static void | convert_ (U n, std::string::iterator p)
| Encodes the given value into four characters. More...

## Detailed Description

The non-template part of G::HashState.

Definition at line 37 of file ghashstate.h.

## Member Function Documentation

## ◆ convert_()

template<typename U >

void G::HashStateImp::convert_ | ( | U | n,
|  | std::string::iterator | p
| ) |  |
| static protected

Encodes the given value into four characters.

Definition at line 205 of file ghashstate.h.

## ◆ extension()

template<typename U >

std::string G::HashStateImp::extension | ( | U | n | ) |
| static

Returns the given data size as a four-character string.

Definition at line 161 of file ghashstate.h.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/ghashstate.h